# ViewAttributes

Attributes for creating and updating a view

```json
{
  "name": "",
  "obj": "",
  "conditions": "",
  "columns": "",
  "isDefault": true,
  "sortBy": "",
  "sortOrder": ""
}
```

| Name       | Type    | Description                                             |
| ---------- | ------- | ------------------------------------------------------- |
| name       | String  | Name of the view                                        |
| obj        | String  | The object this view operates on                        |
| conditions | String  | YAML-formatted conditions                               |
| columns    | String  | Comma-separated list of columns names                   |
| isDefault  | Boolean | True if this view is to be shown by default on the page |
| sortBy     | String  | Field the table is sorted by                            |
| sortOrder  | String  | Sort order of the table                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/viewattributes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
